Skip to main content
GET
/
uptime
/
monitors
/
{monitorId}
/
report
Get a monitor report
curl --request GET \
  --url https://api.phare.io/uptime/monitors/{monitorId}/report \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.phare.io/uptime/monitors/{monitorId}/report"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.phare.io/uptime/monitors/{monitorId}/report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 12,
  "name": "Website",
  "incident_count": 2,
  "downtime": 1500,
  "availability": 99.944,
  "mttr": 750,
  "mtbf": 43200,
  "incidents": [
    {
      "title": "Service is not working as expected",
      "exclude_from_downtime": false,
      "id": 1,
      "project_id": 1,
      "slug": "APP-123",
      "description": "The server answered with an unexpected status code: 503.",
      "incident_at": "2023-11-07T05:31:56Z",
      "recovery_at": "2023-11-07T05:31:56Z",
      "monitors": [
        1,
        2,
        3
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"message": "Unauthorized"
}
{
"message": "The platform:write permission is required to perform this action."
}
{
"message": "<string>",
"errors": {
"key": [
"The key field is required"
]
}
}
To get an uptime report for all monitors in a project check out the Reports endpoint

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Path Parameters

monitorId
integer
required

ID of the monitor to report on

Query Parameters

from
string<date-time>

Start of the reporting window

Example:

"2026-04-01T00:00:00Z"

to
string<date-time>

End of the reporting window

Example:

"2026-04-30T23:59:59Z"

page
integer
default:1

Page number to show

Example:

1

per_page
integer
default:20

Number of resources to return per page

Required range: 1 <= x <= 100
Example:

20

Response

Success, monitor report retrieved

id
integer

Monitor ID

Example:

12

name
string

Monitor name

Example:

"Website"

incident_count
integer

Number of incidents affecting this monitor in the selected range

Example:

2

downtime
integer

Total downtime for this monitor in seconds

Example:

1500

availability
number<float>

Availability for this monitor in the selected range, as a percentage

Example:

99.944

mttr
integer | null

Mean time to recovery (MTTR) for this monitor, in seconds

Example:

750

mtbf
integer | null

Mean time between failures (MTBF) for this monitor, in seconds

Example:

43200

highest_incident_impact
enum<string>
Available options:
unknown,
operational,
degraded_performance,
partial_outage,
major_outage,
maintenance
incidents
object[]

Incidents that affected this monitor in the selected range

Last modified on April 27, 2026